"""
sedna instruction codes
"""

DEBUG_OFF = 0
DEBUG_ON = 1

SEDNA_ERROR_RESPONSE = 100

SEDNA_START_UP = 110
SEDNA_SESSION_PARAMETERS = 120
SEDNA_AUTHENTICATION_PARAMETERS = 130
SEDNA_SEND_SESSION_PARAMETERS = 140
SEDNA_SEND_AUTH_PARAMETERS = 150
SEDNA_AUTHENTICATION_OK = 160
SEDNA_AUTHENTICATION_FAILED = 170
SEDNA_AUTHENTICATE = 90

SEDNA_BEGIN_TRANSACTION = 210
SEDNA_COMMIT_TRANSACTION = 220
SEDNA_ROLLBACK_TRANSACTION = 225
SEDNA_BEGIN_TRANSACTION_OK = 230
SEDNA_BEGIN_TRANSACTION_FAILED = 240
SEDNA_COMMIT_TRANSACTION_OK = 250
SEDNA_COMMIT_TRANSACTION_FAILED = 260
SEDNA_ROLLBACK_TRANSACTION_OK = 255
SEDNA_ROLLBACK_TRANSACTION_FAILED = 265

SEDNA_EXECUTE = 300
SEDNA_EXECUTE_LONG = 301
SEDNA_LONG_QUERY_END = 302

SEDNA_GET_NEXT_ITEM = 310
SEDNA_QUERY_SUCCEEDED = 320

SEDNA_DEBUG_INFO = 325

SEDNA_QUERY_FAILED = 330
SEDNA_UPDATE_SUCCEEDED = 340
SEDNA_UPDATE_FAILED = 350

SEDNA_ITEM_PART = 360
SEDNA_ITEM_END = 370
SEDNA_RESULT_END = 375

SEDNA_BULKLOAD_ERROR = 400
SEDNA_BULKLOAD_PORTION = 410
SEDNA_BULKLOAD_END = 420
SEDNA_BULKLOAD_FILENAME = 430
SEDNA_BULKLOAD_FROMSTREAM = 431
SEDNA_BULKLOAD_SUCCEEDED = 440
SEDNA_BULKLOAD_FAILED = 450

SEDNA_SHOW_TIME = 451
SEDNA_LAST_QUERY_TIME = 452

SEDNA_CLOSE_CONNECTION = 500
SEDNA_CLOSE_CONNECTION_OK = 510
SEDNA_TRANSACTION_ROLLBACK_BEFORE_CLOSE = 520

# included only for completeness, though it should be easy to include :)
SEDNA_EXECUTE_SCHEME_PROGRAM = 95

SEDNA_SET_SESSION_OPTIONS = 530
SEDNA_SET_SESSION_OPTIONS_OK = 540
SEDNA_RESET_SESSION_OPTIONS = 550
SEDNA_RESET_SESSION_OPTIONS_OK = 560

codes = {}
for name,value in globals().items():
    if isinstance(value,int):
        codes[value] = name


if __name__ == '__main__':
    print codes
